Before Upgrading

Before upgrading GlobalSearch and GlobalCapture from an earlier version, you will must have Microsoft Internet Information Server (IIS), Message Queuing, and .NET 4.5.2 or newer (note that that Microsoft may require a reboot after installing .NET). For specific hardware and software requirements, please refer to the Square 9 website. For additional information, please contact your Square 9 Softworks reseller.

Also, note that a reboot of your system will be required during the upgrade process.

 

Data and Documents Backup

Before beginning an upgrade, it is extremely important to first back up all your data. Make sure that the SQL and MongoDB® databases for GlobalSearch are backed up, as well as your documents in GlobalSearch. By default, these files are located in C:\GlobalSearch (or C:\SmartSearch in upgrades from older versions), although they may be in another location if you are updating from a custom installation. Refer to the GlobalSearch backup procedures for details on backing up.

 

Possible Data Loss

Do not put your data at risk by overlooking a comprehensive backup strategy that includes both indexing data and document image files. Failure to adopt a regimented backup plan may result in incomplete data or days’ worth of re-scanning and indexing documents because a backup plan was overlooked. Square 9 Softworks strongly urges our customers to implement a backup plan that will deliver an appropriate amount of protection from data loss. Please contact Technical Support if you have any questions or concerns related to backup procedures.



Login Permissions

To update, you will need to log into the server as a user who has server administrator permissions and have permissions to create databases within SQL Server. You will need to know the SSAdministrator password. If it is the default password, you will need to change it, as it will be used during the upgrade. Refer to the Change the SSAdministrator Password page for details.

 

  • Local Install – If you’re doing a local installation and there is no domain on your network, you must be logged into the GlobalSearch server as a local Administrator.

  • Domain Install – If you’re installing onto a domain server, you must log on as a Domain Administrator and have permissions to create users on the Active Directory.

  • Local Install on Domain Server – If your machine is connected to a domain even though the installation is local, logging on as a Domain Administrator is still highly recommended.


Upgrading from GlobalSearch v4.1.0 or Earlier 

If you are upgrading from GlobalSearch version 4.1.0 or earlier, you must to upgrade to version 4.1.1 and then proceed to upgrade to version 4.5.

To find the version of GlobalSearch which you currently have installed, either start your GlobalSearch desktop client application and note the version number on the startup screen or, with your desktop application open, click the Application Control ( ) button and note the version number at the bottom of the menu.

 

Upgrading to GlobalCapture v2.0.2 

Perform the GlobalSearch upgrade and then apply the upgrade to GlobalCapture v2.0.2. Refer to the GlobalCapture section for details.

To find the version of GlobalCapture which you currently have installed, start GlobalCapture and note the version number on the startup screen or, with your application open, click the Settings () button and note the version number in the bottom left-hand corner of the Settings dialog.